import request from '@/utils/request'

// 查询酒店客人数据记录列表
export function listGuestRecord(query) {
  return request({
    url: '/management/guestRecord/list',
    method: 'get',
    params: query
  })
}

// 查询酒店客人数据记录详细
export function getGuestRecord(shopGuestRecord) {
  return request({
    url: '/management/guestRecord/' + shopGuestRecord,
    method: 'get'
  })
}

// 新增酒店客人数据记录
export function addGuestRecord(data) {
  return request({
    url: '/management/guestRecord',
    method: 'post',
    data: data
  })
}

// 修改酒店客人数据记录
export function updateGuestRecord(data) {
  return request({
    url: '/management/guestRecord',
    method: 'put',
    data: data
  })
}

// 删除酒店客人数据记录
export function delGuestRecord(shopGuestRecord) {
  return request({
    url: '/management/guestRecord/' + shopGuestRecord,
    method: 'delete'
  })
}

// 导出酒店客人数据记录
export function exportGuestRecord(query) {
  return request({
    url: '/management/guestRecord/export',
    method: 'get',
    params: query
  })
}